This thread has been locked.

If you have a related question, please click the "Ask a related question" button in the top right corner. The newly created question will be automatically linked to this question.

[参考译文] WL1835MOD:支持 Android 的蓝牙

Guru**** 1125150 points
Other Parts Discussed in Thread: WL1835MOD
请注意,本文内容源自机器翻译,可能存在语法或其它翻译错误,仅供参考。如需获取准确内容,请参阅链接中的英语原文或自行翻译。

https://e2e.ti.com/support/wireless-connectivity/wi-fi-group/wifi/f/wi-fi-forum/1115838/wl1835mod-bluetooth-with-android

器件型号:WL1835MOD

客户询问:

在 Android 蓝牙认证过程中、

我们的新产品正在使用:
TI WL1835MOD - D052428

Android 11 (以及即将推出的12或更高版本)、使用默认蓝牙堆栈- D048862


问题:

  • 鉴于上述两个模块已经过预先认证、我们需要什么样的支持和测试才能完成具有上述组合的新最终产品?
  • 关于驱动程序固件版本、上述组合中是否涵盖了此内容?
  • 请注意,本文内容源自机器翻译,可能存在语法或其它翻译错误,仅供参考。如需获取准确内容,请参阅链接中的英语原文或自行翻译。

    您好 Jason、

    [引用 userid="100788" URL"~支持/无线连接/wi-fi-group/wii/f/wi-fi-forum/1115838/wl1835mod-bluetooth-with -android"]鉴于上述两个模块已经过预先认证,我们需要哪些支持和测试来完成具有上述组合的新最终产品?[引用]

    我为此推荐的第一个资源是 蓝牙 SIG 认证页面 、因为它具有最新的认证信息。 如果将所有三个子系统(控制器、主机和配置文件)组合在一起、则无需额外测试即可轻松获得认证。 但是、Android 堆栈看起来是一个组件、我认为需要额外的工作才能进行认证(您应该咨询蓝牙资格认证顾问):

    此图片来自我们之前提供的应用手册: e2e.ti.com/.../CC256x-Bluetooth-SIG-Certification-_2D00_-Texas-Instruments-Wiki.pdf

    您还可以参考 此 E2E 帖子。  

    [引用 userid="100788" URL"~支持/无线连接/wi-fi-group/wii/f/wi-fi-forum/1115838/wl1835mod-bluetooth-with -android"]关于驱动程序固件版本,是否在上述组合中涵盖?

    您能否澄清您的问题? 您是否询问 WL183x 驱动程序是否符合蓝牙标准? 您知道 Android 11堆栈需要什么 Linux 内核版本吗?  

    谢谢、
    Jacob